跳至内容

determine-price-to-port

确定港口连接的价格

确定从Fabric Cloud Router到端口的连接成本。

先决条件

  1. 身份验证 - 请提交您的用户凭据、客户端 ID 和客户端密钥以进行 OAuth2 身份验证。有关如何调用 OAuth API 来验证和确认您的凭据的说明,请参阅API 身份验证

  2. 使用 搜索云路由器 获取有关 Fabric 云路由器的信息。

  3. 使用 Get All Metros** 端点查找 Equinix Fabric 可用的所有都市区,并确定目标位置。

请求端口连接的定价信息

要请求 Fabric 云路由器与端口之间连接的定价信息,请向 /fabric/v4/prices/search 端点发送 POST 请求。在请求正文中指定您的定价条件。

POST /fabric/v4/prices/search
MethodPOST
URL or Endpoint/fabric/v4/prices/search
HeadersAuthorization, Content-Type
Path ParametersNot applicable
Query ParametersNot applicable
Body Parametersfilter

示例 cURL 请求:

curl -X POST 'https://api.equinix.com/fabric/v4/prices/search'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
    "filter": {
        "and": [
            {
                "property": "/type",
                "operator": "=",
                "values": [
                    "VIRTUAL_CONNECTION_PRODUCT"
                ]
            },
            {
                "property": "/connection/type",
                "operator": "=",
                "values": [
                    "GW_VC"
                ]
            },
            {
                "property": "/connection/bandwidth",
                "operator": "IN",
                "values": [
                    50,
                    1000
                ]
            },
            {
                "property": "/connection/aSide/accessPoint/type",
                "operator": "=",
                "values": [
                    "GW"
                ]
            },
            {
                "property": "/connection/aSide/accessPoint/location/metroCode",
                "operator": "=",
                "values": [
                    "CH"
                ]
            },
            {
                "property": "/connection/zSide/accessPoint/type",
                "operator": "=",
                "values": [
                    "COLO"
                ]
            },
            {
                "property": "/connection/zSide/accessPoint/location/metroCode",
                "operator": "=",
                "values": [
                    "DC"
                ]
            }
        ]
    }
}'

请求正文中包含的参数仅适用于此示例。有关参数及其说明的完整列表,请参阅API 参考

示例响应:

{
"data": [
    {
        "type": "VIRTUAL_CONNECTION_PRODUCT",
        "code": "ECX00015.PROD",
        "name": "Equinix Fabric Virtual Connection Product",
        "description": "Equinix Fabric Virtual Connection",
        "charges": [
            {
                "type": "MONTHLY_RECURRING",
                "price": 200.0
            }
        ],
        "currency": "USD",
        "connection": {
            "type": "GW_VC",
            "bandwidth": 50,
            "aSide": {
                "accessPoint": {
                    "type": "GW",
                    "location": {
                        "metroCode": "CH"
                    }
                }
            },
            "zSide": {
                "accessPoint": {
                    "type": "COLO",
                    "location": {
                        "metroCode": "DC"
                    }
                }
            }
        }
    },
    {
        "type": "VIRTUAL_CONNECTION_PRODUCT",
        "code": "ECX00015.PROD",
        "name": "Equinix Fabric Virtual Connection Product",
        "description": "Equinix Fabric Virtual Connection",
        "charges": [
            {
                "type": "MONTHLY_RECURRING",
                "price": 500.0
            }
        ],
        "currency": "USD",
        "connection": {
            "type": "GW_VC",
            "bandwidth": 1000,
            "aSide": {
                "accessPoint": {
                    "type": "GW",
                    "location": {
                        "metroCode": "CH"
                    }
                }
            },
            "zSide": {
                "accessPoint": {
                    "type": "COLO",
                    "location": {
                        "metroCode": "DC"
                    }
                }
            }
        }
    }
],
"pagination": {
    "offset": 0,
    "limit": 2,
    "total": 2
}
}

响应有效负载包含在请求正文中定义的配置参数。有关所有可用参数及其说明的完整列表,请参阅API 参考

此页面有帮助吗?